Show / Hide Table of Contents

# Class OpenIddictValidationDataProtectionFormatter

##### Inheritance

System.Object
OpenIddictValidationDataProtectionFormatter

##### Implements

IOpenIddictValidationDataProtectionFormatter

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationDataProtectionFormatter : IOpenIddictValidationDataProtectionFormatter

### Methods

#### ReadToken(BinaryReader)

##### Declaration

    public ClaimsPrincipal ReadToken(BinaryReader reader)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryReader | reader |

##### Returns

Type | Description
--- | ---
ClaimsPrincipal |

### Implements

IOpenIddictValidationDataProtectionFormatter